Bug 1608027 - [Sat6.4] Sorting of available minor version repositories is not consistent on new Red Hat Repositories page [NEEDINFO]
Summary: [Sat6.4] Sorting of available minor version repositories is not consistent on...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.4
Hardware: x86_64
OS: Linux
medium
high vote
Target Milestone: 6.4.0
Assignee: Michael Johnson
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-24 19:12 UTC by Ashish Humbe
Modified: 2019-11-05 23:30 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.31-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:32:29 UTC
Target Upstream Version:
pcreech: needinfo? (micjohns)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24679 None None None 2018-08-22 08:35:13 UTC
Github Katello katello pull 7690 None None None 2018-09-10 19:28:13 UTC

Description Ashish Humbe 2018-07-24 19:12:20 UTC
Description of problem:

Sorting of available minor version repos is not consistent. 

 Example: When we look for "Red Hat Enterprise Linux 7 Server (RPMs)" repos we see "x86_64 7Server" as a first entry. Whereas when we look for "Red Hat Enterprise Linux 6 Server (RPMs)" repos then we see "x86_64 6Server" as the last entry and the sorting is like: 

i386 6.1
x86_64 6.1
x86_64 6.10    <<<<  After 6.1 we should see 6.2 instead of 6.10 
i386 6.10
i386 6.2
x86_64 6.2
i386 6.3
...
...
...
x86_64 6Server
i386 6Server

6Server or 7Server are base repositories and these are most commonly used repos so those should be listed as a first entry.

Comment 2 jalviso 2018-07-31 05:27:51 UTC
In this example, 7Server is listed at the top but the sorting is still disordered:

Red Hat Enterprise Linux OpenStack Platform 7.0 director for RHEL 7 (RPMs)
rhel-7-server-openstack-7.0-director-rpms
x86_64 7Server
x86_64 7.2
x86_64 7.3
x86_64 7.0
x86_64 7.1
x86_64 7.4
x86_64 7.5

Comment 9 Walden Raines 2018-08-22 08:35:11 UTC
Created redmine issue https://projects.theforeman.org/issues/24679 from this bug

Comment 10 pm-sat@redhat.com 2018-09-10 20:04:40 UTC
Upstream bug assigned to micjohns@redhat.com

Comment 11 pm-sat@redhat.com 2018-09-10 20:04:44 UTC
Upstream bug assigned to micjohns@redhat.com

Comment 12 pm-sat@redhat.com 2018-09-20 16:04:37 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24679 has been resolved.

Comment 13 Patrick Creech 2018-09-21 01:30:30 UTC
Michael,

This failed cherrypick downstream.  Can you take a look?

Comment 14 Jonathon Turel 2018-09-21 14:27:05 UTC
Hello Ashish,

Here's what you can expect from the sorting now: repositories will be sorted in descending order, grouped by architecture. Also, any non y-stream repo (ie 7Server) will be moved to the top as we want to encourage use of those rather than y-stream repositories.

Something like this:

x86_64 6Server
i386 6Server
x86_64 6.10
x86_64 6.9
....
i386 6.10
i386 6.9

Comment 15 Ashish Humbe 2018-09-21 17:37:34 UTC
Thank you Johathon for the update and considering this for GA.

Comment 17 Patrick Creech 2018-09-24 14:45:30 UTC
snap 23, not 63

Comment 20 Bryan Kearney 2018-10-16 19:32:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.